be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class Specialisation

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.Specialisation

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:09:10+01:00",
                 comments="JAXB RI v2.3.7")
      public class Specialisation
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-MESSAGE"/>
               <element name="version" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Specialisation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDMESSAGE` | `getCd()` Gets the value of the cd property.
    `String` | `getVersion()` Gets the value of the version property.
    `void` | `setCd(CDMESSAGE value)` Sets the value of the cd property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Specialisation

          public Specialisation()

  - ### Method Detail

    - #### getCd

          public CDMESSAGE getCd()

      Gets the value of the cd property.
      Returns:
        possible object is `CDMESSAGE`

    - #### setCd

          public void setCd(CDMESSAGE value)

      Sets the value of the cd property.
      Parameters:
        `value` - allowed object is `CDMESSAGE`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.